// The "freEvolve System" is a platform supporting the reconfiguration of 
// component-based applications'
// Copyright (C) 1999  Ralph Hinken and Dr. Oliver Stiemerling
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Version: 1.0
// Date:    09.10.2001
//
// History:
//

package Test;

import java.util.*;
import java.awt.*;
 

public class T_Button extends javax.swing.JButton implements java.awt.event.ActionListener {
	private Vector listeners = new Vector();

public T_Button() {
	super();
 	setSize(200,30);
	this.addActionListener((java.awt.event.ActionListener)this);
}
public void actionPerformed (java.awt.event.ActionEvent e) {
	Vector l;
	synchronized(this) {l = (Vector)listeners.clone(); }
	for (int i = 0; i < l.size(); i++) {
		((InputChangedListener)l.elementAt(i)).actionPerformed(e); 
	}	
	return;
}

public synchronized void addInputChangedListener_Notify (InputChangedListener l) {
	listeners.addElement(l);
}
public synchronized void removeInputChangedListener_Notify (InputChangedListener l) {
	listeners.removeElement(l);
}

public void setAufschrift(String s) {this.setText(s);}

public String getAufschrift() {return this.getText();}
}