// The "freEvolve System" is a platform supporting the reconfiguration of 
// component-based applications'
// Copyright (C) 1999  Ralph Hinken and Dr. Oliver Stiemerling
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Version: 1.0
// Date:    09.10.2001
//
// History:
//

package org.freevolve.client;

import org.freevolve.server.*;
import java.net.*;
import java.rmi.*;
import java.awt.*;
import java.io.*;
import java.util.*;
import java.lang.reflect.*;

public class tailor 
{
String iniFileName = "EvolveClient.ini";
  String URLTag      = "EvolveServerURL";
  String userTag     = "DefaultUserName";
                     
  private String getProp(String tag) {
    File f;
    FileInputStream fis = null;
    try {
      f = new File(".", iniFileName);
      if (f==null) {
          System.out.println("File not found " + iniFileName);
      }
      fis = new FileInputStream(f);
      PropertyResourceBundle props = new PropertyResourceBundle(fis);
      return props.getString(tag);
    } catch (IOException e) {
      System.err.println("startSwing.IOFehler: " + e.getClass().getName() + ": " + e.getMessage());
      return null;
    }
    finally { try { if (fis != null) fis.close();  } catch (IOException e) {}  }
  }

	public static void main(String[] args) 
	{
   tailor s = new tailor();
   try {
      System.setSecurityManager(new RMISecurityManager());
      URL[] u = new URL[1];
      String url = s.getProp(s.URLTag);
      if (url == null) {
          System.out.println("Es fehlt der Eintrag "+s.URLTag+" in Datei "+s.iniFileName);
          url = "hkm.cs.uni-bonn.de";
      }
      u[0] = new URL(url);
      URLClassLoader ucl = new URLClassLoader(u);
      System.out.println("URLClassLoader gestartet fr " + url);

      String serverName = u[0].getHost();
      String user = s.getProp(s.userTag);
      String ID  = "";
      String command    = "show";
      if (args.length == 0) {
         if (user==null) {
            user = "hinken";
         }
         System.err.println("Aufruf: java  tailor <command> <user> <ID>  , take show "+user);
      } else {
         if (args.length>0) command = args[0];
         if (args.length>1) user = args[1];
         if (args.length>2) ID = args[2];
         if (ID.equals("0")) {ID = "";}
      }
      Class klasse  = Class.forName("org.freevolve.client."+command, true, ucl);
      System.out.println("Klasse gefunden.");
      EvolveClient client = (EvolveClient) klasse.newInstance();
      System.out.println("Habe EvolveClient gestartet");
      client.ini(serverName, user, ID, ucl);
      
    } catch (Exception e) {
      System.out.println("tailor: " + e);
    }
	}
}
