// The "freEvolve System" is a platform supporting the reconfiguration of 
// component-based applications'
// Copyright (C) 1999  Ralph Hinken and Dr. Oliver Stiemerling
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Version: 1.0
// Date:    09.10.2001
//
// History:
//

package org.freevolve.client;

import org.freevolve.server.*;
import java.rmi.*;
import java.awt.*;
import java.io.*;
import java.util.*;
import java.lang.reflect.*;
import java.net.*;
import java.awt.event.*;

public class  t_addDeleter implements  EvolveClient {
  IR_Server   server = null;

  public void ini(String server, String user, String ID, URLClassLoader ul) {
    String serverName = server;
    try {
      System.setSecurityManager(new RMISecurityManager());
      this.server = (IR_Server) Naming.lookup("rmi://" + serverName + "/EvolveServer");
      ///////////////////////////////////////////////////////////////////////////////////
      ///////////////////////////////////////////////////////////////////////////////////      
      ///////////////////////////////////////////////////////////////////////////////////
      long a  = (new Date()).getTime();  
      IR_DistComponent dc = this.server.getDistComponent(user, ID, "ListClientChef");
      if (dc != null) {
          IR_Component c = dc.getComponent();
          long e  = (new Date()).getTime();  
          System.out.println("Component Objekt erhalten nach " + (e-a) + " ms.");
          System.out.println("Starte Anpassung.");
          long start = (new Date()).getTime();         

              IR_Component del = this.server.getNewComponent("Lists.Deleter");
              del.setParam("X-Pos", null, null, 250.0, '?');
              del.setParam("Y-Pos", null, null, 350.0, '?');
              del.setParam("Height", null, null, 30.0, '?');
              del.setParam("Width", null, null, 80.0, '?');
              del.setAtomic(true);
              c.addSubComponent(del, "deleter1");
              c.addPortBinding("visual1", "MarkedEntry", "deleter1", "MarkedEntry");
              c.addPortBinding(null, "ToDoList", "deleter1", "ToDoList");

          long stop =  (new Date()).getTime();         
          System.out.println("Anpassung beendet nach " + (stop-start) + " ms.");
      ///////////////////////////////////////////////////////////////////////////////////
      ///////////////////////////////////////////////////////////////////////////////////      
      ///////////////////////////////////////////////////////////////////////////////////
      } else
        System.out.println("no sorry, kein DistComponent bekommen fr "+user+":"+ID);
    } catch (Exception e) {
      System.out.println("tailor2: " + e);
    }
  };

  }
  